# Class InvalidModelRuleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.model.InvalidModelRuleException

All Implemented Interfaces:
  `Serializable`

@Incubating public class InvalidModelRuleException extends GradleException
Thrown when there is a problem with the usage of a model rule.

This exception is different to `InvalidModelRuleDeclarationException` in that it signifies a problem with using a model rule in a particular context, whereas `InvalidModelRuleDeclarationException` signifies a problem with the declaration of the model rule itself (which therefore means that the rule could not be used in any context).

This exception should always have cause, that provides information about the actual problem.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidModelRuleException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidModelRuleException

public InvalidModelRuleException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)

## Method Details

### getDescriptor

public String getDescriptor()